Bug 529465 - Review Request: thunar-vcs-plugin - SVN integration for the Thunar filemanager
Summary: Review Request: thunar-vcs-plugin - SVN integration for the Thunar filemanager
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-17 01:00 UTC by Christoph Wickert
Modified: 2009-11-24 07:54 UTC (History)
2 users (show)

Fixed In Version: 0.1.2-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-24 07:36:18 UTC
Type: ---
kevin: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Christoph Wickert 2009-10-17 01:00:33 UTC
Spec URL: http://cwickert.fedorapeople.org/review/thunar-vcs-plugin.spec
SRPM URL: http://cwickert.fedorapeople.org/review/thunar-vcs-plugin-0.1.0-1.fc12.src.rpm
Description: The Thunar VCS Plugin adds Subversion actions to the context menu of Thunar. 
This gives a SVN integration integration to Thunar. The current features are:
* Most of the svn action: add, blame, checkout, cleanup, commit, copy, delete,
  export, import, lock, log, move, properties, relocate, resolved, revert, 
  status, switch, unlock and update.
* Subversion info in file properties dialog.

This project was formerly known as Thunar SVN Plugin.

Comment 1 Kevin Fenzi 2009-10-17 01:04:46 UTC
I'll review this later tonight or tomorrow. 
Thanks for packaging it.

Comment 2 Kevin Fenzi 2009-10-17 21:03:34 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (GPLv2+)
OK - License field in spec matches
See Below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
90d1f2d414c2b4b8bf211a8a6b13b358  thunar-vcs-plugin-0.1.0.tar.bz2
90d1f2d414c2b4b8bf211a8a6b13b358  thunar-vcs-plugin-0.1.0.tar.bz2.orig

OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
OK - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Notes: 

rpmlint says: 
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

The files are a mix of LGPLv2+ and GPLv2+, leaving the package GPLv2+
However, the COPYING file is the LGPL. Might ping upstream about making a 
GPL COPYING available instead or in addition to. 

Issues: 

None. 

This package is APPROVED.

Comment 3 Christoph Wickert 2009-10-17 22:08:58 UTC
(In reply to comment #2)
> Might ping upstream about making a 
> GPL COPYING available instead or in addition to.

Will do. Thanks for the review!

New Package CVS Request
=======================
Package Name: thunar-vcs-plugin
Short Description: SVN integration for the Thunar filemanager
Owners: cwickert kevin
Branches: F-10 F-11 F-12
InitialCC:

Comment 4 Kevin Fenzi 2009-10-19 15:57:54 UTC
cvs done.

Comment 5 Fedora Update System 2009-10-19 17:16:02 UTC
thunar-vcs-plugin-0.1.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/thunar-vcs-plugin-0.1.0-1.fc12

Comment 6 Fedora Update System 2009-10-19 17:17:04 UTC
thunar-vcs-plugin-0.1.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/thunar-vcs-plugin-0.1.0-1.fc11

Comment 7 Fedora Update System 2009-10-19 17:17:10 UTC
thunar-vcs-plugin-0.1.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/thunar-vcs-plugin-0.1.0-1.fc10

Comment 8 Fedora Update System 2009-10-21 00:44:45 UTC
thunar-vcs-plugin-0.1.0-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update thunar-vcs-plugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10632

Comment 9 Fedora Update System 2009-10-21 00:55:03 UTC
thunar-vcs-plugin-0.1.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update thunar-vcs-plugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10695

Comment 10 Fedora Update System 2009-10-27 06:37:59 UTC
thunar-vcs-plugin-0.1.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update thunar-vcs-plugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10695

Comment 11 Fedora Update System 2009-10-27 06:52:32 UTC
thunar-vcs-plugin-0.1.1-1.fc10.1 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update thunar-vcs-plugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10632

Comment 12 Fedora Update System 2009-11-11 14:54:53 UTC
thunar-vcs-plugin-0.1.2-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update thunar-vcs-plugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10632

Comment 13 Fedora Update System 2009-11-11 14:55:43 UTC
thunar-vcs-plugin-0.1.2-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update thunar-vcs-plugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10695

Comment 14 Fedora Update System 2009-11-13 02:28:09 UTC
thunar-vcs-plugin-0.1.2-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update thunar-vcs-plugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10632

Comment 15 Fedora Update System 2009-11-13 02:31:28 UTC
thunar-vcs-plugin-0.1.2-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update thunar-vcs-plugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10695

Comment 16 Fedora Update System 2009-11-24 07:36:13 UTC
thunar-vcs-plugin-0.1.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2009-11-24 07:54:38 UTC
thunar-vcs-plugin-0.1.2-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.